config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

config etc/fwupd/fwupd.conf.new
config etc/fwupd/remotes.d/fwupd-tests.conf.new
config etc/fwupd/remotes.d/lvfs-testing.conf.new
config etc/fwupd/remotes.d/lvfs.conf.new
config etc/fwupd/remotes.d/vendor-directory.conf.new
config etc/fwupd/remotes.d/vendor.conf.new

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/doc/fwupd-1.9.16 ; rm -rf libfwupd )
( cd usr/doc/fwupd-1.9.16 ; ln -sf ../libfwupd libfwupd )
( cd usr/doc/fwupd-1.9.16 ; rm -rf libfwupdplugin )
( cd usr/doc/fwupd-1.9.16 ; ln -sf ../libfwupdplugin libfwupdplugin )
( cd usr/lib64 ; rm -rf libfwupd.so )
( cd usr/lib64 ; ln -sf libfwupd.so.2 libfwupd.so )
( cd usr/lib64 ; rm -rf libfwupd.so.2 )
( cd usr/lib64 ; ln -sf libfwupd.so.2.0.0 libfwupd.so.2 )
